//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionPagedTopicOrderingPolicy.h>

@class PTDiffusionPagedTopicOrder;
@class PTDiffusionPagedTopicRules;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Describes a paged string ordering policy.

 @see PTDiffusionPagedStringTopicDetailsBuilder

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedStringTopicOrderingPolicy : PTDiffusionPagedTopicOrderingPolicy

/**
 The order that the lines will be sorted into.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionPagedTopicOrder* order;

/**
 Any additional rules to be applied when sorting.

 @since 5.7
 */
@property(nonatomic, readonly, nullable) PTDiffusionPagedTopicRules* rules;

/**
 Compares the receiver to the given paged string topic ordering policy.

 @param pagedStringTopicOrderingPolicy The paged string topic ordering policy object with which to compare the receiver.

 @return `YES` if the paged string topic ordering policy is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToPagedStringTopicOrderingPolicy:(nullable PTDiffusionPagedStringTopicOrderingPolicy *)pagedStringTopicOrderingPolicy;

@end

NS_ASSUME_NONNULL_END
