//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicSchema.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Schema for protocol buffer topics.

 @note The capability to retrieve topic schemas for protocol buffer topics is provided
 for legacy purposes only as they have been deprecated since 5.7. They cannot
 be created using this client library.

 @deprecated Since 5.9. Support for Google Protocol Buffer topics will be
 removed in a future release as Binary topics can be used to distribute
 protocol buffer messages.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionProtocolBufferTopicSchema : PTDiffusionTopicSchema

/**
 The protocol buffers proto class name.

 @since 5.7
 */
@property(nonatomic, readonly) NSString* protoClass;

/**
 The protocol buffers message name.

 @since 5.7
 */
@property(nonatomic, readonly) NSString* messageName;

/**
 Compares the receiver to the given protocol buffer topic schema.

 @param protocolBufferTopicSchema The protocol buffer topic schema object with which to compare the receiver.

 @return `YES` if the protocol buffer topic schema is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToProtocolBufferTopicSchema:(nullable PTDiffusionProtocolBufferTopicSchema *)protocolBufferTopicSchema;

@end

NS_ASSUME_NONNULL_END
