//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;

@class PTDiffusionSession;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief The session error handler protocol defines the interface for handling
 unexpected failure conditions encountered once a session has been established.

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.6.6
 */
__deprecated_msg("Will be removed in a future release.")
@protocol PTDiffusionSessionErrorHandler <NSObject>

/**
 The connection has failed irrecoverably while connected.

 @param session The session which has failed.

 @param error The reason for failure.

 @since 5.6.6
 */
-(void)diffusionSession:(PTDiffusionSession *)session
       didFailWithError:(NSError *)error;

@end

/**
 @brief The default error handler which simply logs errors to the system log.

 This handler simply logs the errors using the Foundation Framework's NSLog function and is
 the default handler supplied with the default session configuration.
 
 @note For production applications published to the App Store it is strongly suggested
 that this handler is not used as direct messaging to the system log in this way is
 discouraged by Apple. You should implement the PTDiffusionSessionErrorHandler protocol
 where appropriate in your application code, supplying the conforming object instance to via
 the session configuration you supply to open the session.

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.6.6
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionSessionDefaultErrorHandler : NSObject <PTDiffusionSessionErrorHandler>
@end

NS_ASSUME_NONNULL_END
